Make it possible to restrict the url bar autocomplete results to bookmarks/tagged/history entries and match only url/title
add grouping to the url bar autocomplete results for locations, bookmarks, tags

this bug covers the implementation of what faaborg is designing in bug #393508

screen shot and rough patch coming